using System;
using System.Collections;
using UnityEngine;

namespace FastArena
{
    public class CameraZoom : MonoBehaviour
    {
        [HideInInspector] public bool Zoomed;
        private PlayerController playerC;

        private void Awake()
        {
            playerC = GetComponentInParent<PlayerController>();
        }

        public void Zoom(float zoom)
        {
        }

        public IEnumerator ZoomCoroutine(float zoom, float zoomTime)
        {
            float targetFOV = playerC.Settings.FieldOfView / zoom;
            playerC.mouseSens = playerC.Settings.MouseSensivity / zoom;
            throw new NotImplementedException();
        }
    }
}